hpp-corbaserver: _impl_Discretized Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | List of all members
_impl_Discretized Class Referenceabstract

`#include <hpp/core_idl/path_validations-idl.hh>`

Inheritance diagram for _impl_Discretized:
[legend]
Collaboration diagram for _impl_Discretized:
[legend]

## Public Member Functions
virtual | ~_impl_Discretized ()
virtual void | setSecurityMargins (const ::hpp::floatSeqSeq &margins)=0
virtual void | setSecurityMarginBetweenBodies (const char *body_a, const char *body_b, ::hpp::value_type margin)=0
virtual void | filterCollisionPairs (const ::hpp::core_idl::RelativeMotionMatrix &relMotion)=0
virtual _CORBA_Boolean | _dispatch (omniCallHandle &)
Public Member Functions inherited from _impl_PathValidation
virtual | ~_impl_PathValidation ()
virtual void | deleteThis ()=0
virtual ::CORBA::Boolean | deleteIfExpired ()=0
virtual void | persistantStorage (::CORBA::Boolean persistant)=0
virtual ::CORBA::Boolean | validate (::hpp::core_idl::Path_ptr p, ::CORBA::Boolean reverse, ::hpp::core_idl::Path_out validPart, ::hpp::core_idl::PathValidationReport_out report)=0
virtual ::CORBA::Boolean | validateConfiguration (const ::hpp::floatSeq &config, ::hpp::core_idl::ValidationReport_out report)=0

## Constructor & Destructor Documentation

## ◆ ~_impl_Discretized()

virtual _impl_Discretized::~_impl_Discretized | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _dispatch()

virtual _CORBA_Boolean _impl_Discretized::_dispatch | ( | omniCallHandle & |  | ) |
| virtual

Reimplemented from _impl_PathValidation.

## ◆ filterCollisionPairs()

virtual void _impl_Discretized::filterCollisionPairs | ( | const ::hpp::core_idl::RelativeMotionMatrix & | relMotion | ) |
| pure virtual

## ◆ setSecurityMarginBetweenBodies()

virtual void _impl_Discretized::setSecurityMarginBetweenBodies | ( | const char * | body_a,
|  | const char * | body_b,
|  | ::hpp::value_type | margin
| ) |  |
| pure virtual

## ◆ setSecurityMargins()

virtual void _impl_Discretized::setSecurityMargins | ( | const ::hpp::floatSeqSeq & | margins | ) |
| pure virtual

The documentation for this class was generated from the following file:

- src/hpp/core_idl/path_validations-idl.hh